<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<meta http-equiv="content-type" content="text/html; charset=windows-1251" />
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<title>анкета</title>
</head>
<link rel="stylesheet" href="styleN.css" type="text/css" />
<?
$d=date("H:i");
?>
<fieldset style="background:gray"><Legend>Время:<?echo$d;?></Legend>

<div class="line"></div>
<div class="footto">

<div class="foot"><center><b>«Анкета»</b></center></div>
</div>
<div class="line"></div>
<div class="footto">

<?

######################################
#   Made by Astorix                  #
#      2011 г.                       #
#    все права защищенны             #
#      Мрак Подземелья               #
######################################


/*
принимаем параметры:
p,key,no,to,NICK,pass,menu,use,c,d,p
*/

$p = $_GET['p'];
$key = $_GET['key'];
$no = $_GET['no'];
$to = $_GET['to'];
$NICK = $_GET['NICK'];
$pass = $_GET['pass'];
$menu = $_GET['menu'];
$use = $_GET['use'];
$users_name = $_POST['users_name'];
$users_age = $_POST['users_age'];
$users_city = $_POST['users_city'];
$zodiac = $_POST['zodiac'];
$users_tel = $_POST['users_tel'];
$osebe = $_POST['osebe'];
$deviz = $_POST['deviz'];
$c = $_GET['c'];
$d = $_GET['d'];
$m = $_GET['m'];
$p = @intval($_GET['p']);
//айпи игроков
echo"<a href=\"game.php?NICK=$NICK&pass=$pass\">в игру</a>|<a href=\"pers.php?NICK=$NICK&pass=$pass\">назад</a><br/><sup>* Внимание если вы хотите удалить анкету,сотрите все поля и нажмите сохранить</sup><br/>";
$ip = $_SERVER['REMOTE_ADDR'];
$t=time();
include("db.php");
$db->openDB();
if(strlen($NICK)==0 OR strlen($pass)==0){echo"<br/>логин или пароль пустой!<br/><a href=\"ds.php\">на главную</a></div><div class=\"menu\"></div>";die;}
$PR_NICK = mysql_query("SET NAMES cp1251");
$PR_NICK=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\" AND pass=\"$pass\"");
if(mysql_num_rows($PR_NICK)<1){echo"пользователя с таким логином или паролем не существует<br/><a href=\"ds.php\">на главную</a></div><div class=\"menu\"></div>";die;}

$ank = mysql_query("SET NAMES cp1251");
$ank=mysql_query("SELECT * FROM anketa WHERE AN_KOM=\"$NICK\"");
while($ank2=mysql_fetch_assoc($ank)){
echo"<form action=\"anketa.php?NICK=$NICK&pass=$pass&m=save\" METHOD=\"POST\">";
echo"Реальное имя персонажа:<br/>";
echo"<input name=\"users_name\" value=\"$ank2[AN_RNAME]\" class=\"text\"><br/>";
echo"Возраст:<br/>";
echo"<input name=\"users_age\" value=\"$ank2[AN_AGE]\" class=\"text\"><br/>";
echo"Город игрока<br/>";
echo"<input name=\"users_city\" value=\"$ank2[AN_CITY]\" class=\"text\"><br/>";
echo"Знак зодиака:<br/>";
echo"<select name=\"zodiac\" value=\"$ank2[AN_ZODI]\" class=\"text\">
<option value=\"oven\" class=\"text\">Овен</option>
<option value=\"koze\" class=\"text\">Козерог</option>
<option value=\"leon\" class=\"text\">Лев</option>
<option value=\"bliz\" class=\"text\">Близнецы</option>
<option value=\"fish\" class=\"text\">Рыбы</option>
<option value=\"skorp\" class=\"text\">Скорпион</option>
<option value=\"deva\" class=\"text\">Дева</option>
<option value=\"stre\" class=\"text\">Стрелец</option>
<option value=\"vesi\" class=\"text\">Весы</option>
<option value=\"vodo\" class=\"text\">Водолей</option>
<option value=\"oven\" class=\"text\">Овен</option>
<option value=\"raks\" class=\"text\">Рак</option>
</select><br/>";
echo"Телефон:<br/>
<input name=\"users_tel\" value=\"$ank2[AN_TELE]\" class=\"text\"><br/>";
echo"О себе:<br/>
<input name=\"osebe\" value=\"$ank2[AN_ABOU]\" class=\"text\"><br/>";
echo"Девиз:<br/>
<input name=\"deviz\" value=\"$ank2[AN_DEVIZ]\" class=\"text\">";
echo"<br/>
<input type=\"submit\" value=\"сохранить\" class=\"submit\">";

echo"</form></div>";
}
if($m=='save'){echo'<div class="head">данные успешно сохраннены</div>';
if(mysql_num_rows($ank)>0){$obn=mysql_query("UPDATE anketa SET AN_KOM=\"$NICK\",AN_RNAME=\"$users_name\",AN_AGE=\"$users_age\",AN_CITY=\"$users_city\",AN_ZODI=\"$zodiac\",AN_TELE=\"$users_tel\",AN_ABOU=\"$osebe\",AN_DEVIZ=\"$deviz\" WHERE AN_KOM=\"$NICK\"");}//UPDATE
if(mysql_num_rows($ank)<1){$dob=mysql_query("INSERT INTO anketa (AN_KOM,AN_RNAME,AN_AGE,AN_CITY,AN_ZODI,AN_TELE,AN_ABOU,AN_DEVIZ) values ('$NICK','$users_name','$users_age','$users_city','$zodiac','$users_tel','$osebe','$deviz')");}//INSERT

die;}
?>

</body>
</html>

